﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.OfficeChartToImageConverter;
using Syncfusion.Pdf;

namespace WindowsFormsSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Loads the template document
            WordDocument wordDocument = new WordDocument(@"../../Data/Sample.docx");
            //Initializes the ChartToImageConverter for converting charts during Word to pdf conversion
            wordDocument.ChartToImageConverter = new ChartToImageConverter();
            //Gets the last paragraph
            WParagraph paragraph = wordDocument.LastParagraph;
            //Gets the chart entity from the paragraph items
            WChart chart = paragraph.ChildEntities[1] as WChart;
            //Modifies the chart height and width
            chart.Height = 300;
            chart.Width = 500;
            //Changes the title
            chart.ChartTitle = "New title";
            //Changes the series name of first chart series
            chart.Series[0].Name = "Modified series name";
            //Modifies the data values of chart
            chart.ChartData.SetValue(2, 2, 120);
            chart.ChartData.SetValue(3, 2, 60);
            chart.ChartData.SetValue(4, 2, 70);
            //Refreshes chart data to set the modified values
            chart.Refresh();
            //Creates an instance of the DocToPDFConverter
            DocToPDFConverter converter = new DocToPDFConverter();

            converter.Settings.EnableFastRendering = true;
            //Converts Word document into PDF document
            PdfDocument pdfDocument = converter.ConvertToPDF(wordDocument);
            //Saves the PDF file 
            pdfDocument.Save(@"Output.pdf");
            //Closes the instance of document objects
            pdfDocument.Close(true);
            wordDocument.Close();

            System.Diagnostics.Process.Start(@"Output.pdf");
        }
    }
}
